* {
    margin: 0;
    padding: 0;
    transition: .5s all;
}

:root {
    --main-color: hsl(339, 79%, 66%);
    --design-color: hsl(239, 79%, 66%);
    --second-color: hsl(199, 79%, 66%);
    --font-color: #f0f0f0;
}

body {
    height: 100vh;
}

/*main*/

main {
    height: 100%;
    display: grid;
    grid-template-columns: 70% 30%;
}



/*result*/

.result {
    transition: 1s all;
    background-color: var(--design-color);
    font-size: 8vw;
    display: flex;
    font-weight: bold;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: flex-start;
    padding: 5%;
}

.result:first-child { 
    color: var(--font-color);
}

.p {
    background-image: linear-gradient(120deg, var(--main-color), var(--second-color));
    -webkit-background-clip: text;
    color: transparent;
}

/*date*/
.date {
    background-color: var(--main-color);
    border-left: 1px solid var(--design-color);
    display: flex;
    flex-direction: column;
    padding: 5%;
    align-items: center;
    justify-content: center;
}

.date h1 {
    color: var(--font-color);
    font-weight: bold;

}

.date img {
    margin-top: 10px;
    width: 20%;
    cursor: pointer;
    filter: invert(1);
}

.date img:hover {
    rotate: 180deg;
    width: 30%;
}

/*data block*/

.data-block {
    transform: translateY(-1000px);
    /* display: flex; */
    width: 60%;
    height: 60%;
    position: absolute;
    background-color: var(--font-color);
    left: 25%;
    border-radius: 10px;
    filter: drop-shadow(4px 4px 1px var(--design-color));
    flex-direction: column;
}


.data {
    display: flex;
    flex-direction: column;
    height: 90%;
    padding: 5%;
    justify-content: space-evenly;
    align-items: center;
}

.data button {
    padding: 2%;
    width: 80%;
    border-radius: 10px;
    border: 1px solid transparent;
    background-color: var(--design-color);
    box-shadow: 2px 2px var(--main-color);
    color: var(--font-color);
    font-weight: bold;
    cursor: pointer;
}

.data button:hover {
    transform: translateY(-10px);
    background-color: var(--main-color);
    box-shadow: 2px 2px var(--design-color);
}

.data input {
    width: 80%;
    height: 10%;
    border: 3px solid var(--main-color);
    border-radius: 10px;
    padding: 2%;
    font-weight: bold;
    font-size: large;
    background-color: transparent;
}

.data label {
    color: var(--design-color);
    font-size: 3vw;
    font-weight: bold;
}